tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Leo Donahue - PLANDEVX" <LeoDona...@mail.maricopa.gov>
Subject servlet spec, taglibs, java sdk - which ones?
Date Wed, 06 Feb 2008 15:57:50 GMT
Looking here: http://tomcat.apache.org/whichversion.html - no problems,
except we run Tomcat 5.0.28 and reading below in the site it says 
 
<quote>
Apache Tomcat 5.5.x. It supports the same Servlet and JSP Specification
versions as Apache Tomcat 5.0.x,
</quote>
 
Which is what servlet spec version?
 
I've figured out the taglib question:
http://jakarta.apache.org/taglibs/doc/standard-doc/intro.html
 
Standard 1.1 is at least servlet 2.4 and Standard 1.0 is servlet 2.3
 
I downloaded the Standard 1.1 taglibs from here:
http://jakarta.apache.org/site/downloads/downloads_taglibs-standard.cgi
 
I'm reading the text from Oreily Java Server Pages and I'm trying to
produce a jsp page using standard <jsp:set/get> actions, but I get an
error message which I'm sure means I have the wrong taglib downloaded,
or does it mean something else?
 
javax.servlet.ServletException: Employee (Unsupported major.minor
version 50.0)
 
 
 
Leo Donahue
 

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message